//
//
//  Custom Web Page Handlers
//
//  For accepting and processing arguments, or for custom page
//  generation.
//
#ifndef CUSTOMHANDERS_H
#define CUSTOMHANDERS_H

#include "ProjGlobals.h"
#include "Web_Resources.h"

/// If a URI does not have a custom handler hook, it will scan the file system for the target resource.
/// Only if it is then not found will it try to redirect the user to the main page.
///
void HandleNotFound();

///
/// For all of the following, there is actively generated content on the page, 
/// so it must have a custom handler.
///
void HandleRootPage();
void HandleMyIP_js();
void HandleAPConfigPage();

void HandlePlantModel();


void HandleAPScan();
void HandlePlantModel();
void HandlePlantModel_css();
void HandleButton_css();
void HandleIndex_js();
void HandleAbout_htm();
void HandleAbout_js();
void HandleCircuitOn();
void HandleCircuitOff();
void HandleCircuitToggle();
void HandleSWUpdateCheck();
void HandleFavIcon();
void HandleIcon();
void HandleOpenDoor();
void HandleGreen1x1();
void HandleFavIcon();
void HandleHeaterOn();
void HandleWater();
void HandleRSSIPage();
void HandleRSSI_js();
void HandleCurrPage();
void HandleCurr_js();
void HandleNav_js();
void HandleHeaterOn();
void HandleHeaterOff();
void HandleThermometer();
void HandleSoilMoisture();
void HandlePointer();

#endif // CUSTOMHANDERS_H
